# MatDuplicateOption

Indicates if a duplicated sparse matrix should have its numerical values copied over or just its nonzero structure.

### Synopsis

    typedef enum {MAT_DO_NOT_COPY_VALUES,MAT_COPY_VALUES} MatDuplicateOption;

Any additions/changes here MUST also be made in include/finclude/petscmat.h

### See Also

MatDuplicate()

Level:beginner
Location: src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages